import { useState } from "react";

type ClipboardHookResult = [(data: string) => void, string];

export const useClipboard = (): ClipboardHookResult => {
  const [copied, setCopied] = useState('');

  const copyToClipboard = (data: string) => {
    try {
      navigator.clipboard.writeText(data);
      setCopied(data);
    } catch (error) {
      console.error('Failed to copy: ', error);
    }
  };

  return [copyToClipboard, copied];
}